=== modified file 'source/globalCommands.py'
--- source/globalCommands.py	2012-04-27 00:29:10 +0000
+++ source/globalCommands.py	2012-06-11 16:30:40 +0000
@@ -882,6 +882,10 @@
 		wx.CallAfter(mainFrame.onDocumentFormattingCommand, None)
 	script_activateDocumentFormattingDialog.__doc__ = _("Shows the NVDA document formatting settings dialog")
 
+	def script_activateBrailleSettingsDialog(self, gesture):
+		wx.CallAfter(mainFrame.onBrailleCommand, None)
+	script_activateBrailleSettingsDialog.__doc__ = _("Shows the NVDA Braille settings dialog")
+
 	def script_saveConfiguration(self,gesture):
 		wx.CallAfter(mainFrame.onSaveConfigurationCommand, None)
 	script_saveConfiguration.__doc__ = _("Saves the current NVDA configuration")
@@ -1089,7 +1093,8 @@
 		"kb:NVDA+control+o": "activateObjectPresentationDialog",
 		"kb:NVDA+control+b": "activateBrowseModeDialog",
 		"kb:NVDA+control+d": "activateDocumentFormattingDialog",
-
+		"kb:NVDA+control+x": "activateBrailleSettingsDialog",
+		
 		# Save/reload configuration
 		"kb:NVDA+control+c": "saveConfiguration",
 		"kb:NVDA+control+r": "revertToSavedConfiguration",

=== modified file 'user_docs/en/changes.t2t'
--- user_docs/en/changes.t2t	2012-06-11 00:20:37 +0000
+++ user_docs/en/changes.t2t	2012-06-12 09:49:43 +0000
@@ -10,6 +10,7 @@
 - When the Windows Sticky Keys function is enabled, the NVDA modifier key will now behave like other modifier keys. This allows you to use the NVDA modifier key without needing to hold it down while you press other keys. (#230)
 - Support for HIMS Braille Sense, Braille EDGE and SyncBraille braille displays. (#1266, #1267)
 - When Windows 8 Toast notifications appear, NVDA will announce them and move the navigator object there for further interaction. (#2143)
+- Added shortcut for Braille Settings Dialog.
 
 == Changes ==
 - In the NVDA Review Cursor preferences dialog, the Follow keyboard focus option has been renamed to Follow system focus for consistency with terminology used elsewhere in NVDA.

=== modified file 'user_docs/en/userGuide.t2t'
--- user_docs/en/userGuide.t2t	2012-06-10 18:24:09 +0000
+++ user_docs/en/userGuide.t2t	2012-06-12 07:15:51 +0000
@@ -624,7 +624,7 @@
 | Decrement current synth setting | NVDA+control+downArrow | NVDA+control+downArrow | decreases the current speech setting you are on. E.g. decreases the rate, chooses the previous voice, decreases the volume |
 %kc:endInclude
 
-+++ Braille Settings +++
++++ Braille Settings (NVDA+Control+x) +++
 The braille settings dialog box can be invoked by going to the preferences menu and then to the braille settings option.
 
 ==== Braille Display ====

